Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class PKIXNameConstraintValidator

    java.lang.Object
      org.bouncycastle.jce.provider.PKIXNameConstraintValidator

    public class PKIXNameConstraintValidator

extends java.lang.Object

Constructor Summary
`PKIXNameConstraintValidator()`

Method Summary
`void` | `addExcludedSubtree(GeneralSubtree subtree)` Adds a subtree to the excluded set of these name constraints.
`void` | `checkExcluded(GeneralName name)` Check if the given GeneralName is contained in the excluded set.
`void` | `checkExcludedDN(ASN1Sequence dns)`
`void` | `checkPermitted(GeneralName name)` Checks if the given GeneralName is in the permitted set.
`void` | `checkPermittedDN(ASN1Sequence dns)`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`void` | `intersectEmptyPermittedSubtree(int nameType)`
`void` | `intersectPermittedSubtree(ASN1Sequence permitted)` Updates the permitted set of these name constraints with the intersection with the given subtree.
`java.lang.String` | `toString()`
`protected java.util.Set` | `unionDNS(java.util.Set excluded, java.lang.String dns)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PKIXNameConstraintValidator

    public PKIXNameConstraintValidator()

Method Detail

### checkPermittedDN

    public void checkPermittedDN(ASN1Sequence dns)
                          throws PKIXNameConstraintValidatorException

  Throws:
    `PKIXNameConstraintValidatorException`

### checkExcludedDN

    public void checkExcludedDN(ASN1Sequence dns)
                         throws PKIXNameConstraintValidatorException

  Throws:
    `PKIXNameConstraintValidatorException`

### unionDNS

    protected java.util.Set unionDNS(java.util.Set excluded,
                                     java.lang.String dns)

### checkPermitted

    public void checkPermitted(GeneralName name)
                        throws PKIXNameConstraintValidatorException

  Checks if the given GeneralName is in the permitted set.

  Parameters:
    `name` - The GeneralName
  Throws:
    `PKIXNameConstraintValidatorException` - If the `name`

### checkExcluded

    public void checkExcluded(GeneralName name)
                       throws PKIXNameConstraintValidatorException

  Check if the given GeneralName is contained in the excluded set.

  Parameters:
    `name` - The GeneralName.
  Throws:
    `PKIXNameConstraintValidatorException` - If the `name` is excluded.

### intersectPermittedSubtree

    public void intersectPermittedSubtree(ASN1Sequence permitted)

  Updates the permitted set of these name constraints with the intersection with the given subtree.

  Parameters:
    `permitted` - The permitted subtrees

### intersectEmptyPermittedSubtree

    public void intersectEmptyPermittedSubtree(int nameType)

### addExcludedSubtree

    public void addExcludedSubtree(GeneralSubtree subtree)

  Adds a subtree to the excluded set of these name constraints.

  Parameters:
    `subtree` - A subtree with an excluded GeneralName.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD